## supply 0.1.0~bpo12+1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0 # Apache-2.0
SQLAlchemy
oslo.config
oslo.db
oslo.log
oslo.middleware
oslo.policy
keystonemiddleware
