=== debian/changelog ===
supply (0.1.0~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Initial release. (Closes: #XXXXXX)

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Wed, 17 May 2023 15:21:42 +0000
